Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.4.13

Bug #3855 CRITICAL BC BREAK with 1.2 - pear package fails
Submitted: 2005-03-17 01:55 UTC
From: cellog Assigned: vblavet
Status: Closed Package: Archive_Tar
PHP Version: Irrelevant OS: n/a
Roadmaps: (Not assigned)    
Subscription  


 [2005-03-17 01:55 UTC] cellog
Description: ------------ pear package --nocompress will fail with 1.3.0, while it works with 1.2. This is true of ALL existing PEAR versions. The constructor of Archive_Tar needs this line right at the top: if (!$compress) { $compress = null; } Reproduce code: --------------- pear package --nocompress Expected result: ---------------- successful packaging Actual result: -------------- Unsupported compression type '' Supported types are 'gz' and 'bz2'.

Comments

 [2005-03-17 15:53 UTC] danielc
VINCENT: Please fix this as soon as you can because PHP will be coming out with a new release shortly that includes this package. GREG: An annoying reminder... Once the bug is fixed, please update the go-pear-list files in the repository.
 [2005-03-17 15:58 UTC] vblavet
Will do it for today night
 [2005-03-17 21:11 UTC] vblavet
Thank you for your bug report. This issue has been fixed in the latest released version of the package, which you can download at http://pear.php.net/get/Archive_Tar Fixed in release 1.3.1